<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('prl_emp_allowences', function (Blueprint $table) {
            $table->id();

            $table->integer('Allowance_id');
            $table->double('Allowance', 15, 2)->default(0);
            $table->double('Allowance_month', 15, 2)->default(0);
            $table->double('LWF', 15, 2)->default(0);
            $table->double('OTWage', 15, 2)->default(0);
            $table->double('city_allowance', 15, 2)->default(0);
            $table->double('ReliefAmt', 15, 2)->default(0);
            $table->integer('added_by')->default(0);
            $table->integer('branch_id')->default(0);
            $table->integer('company_id')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('prl_emp_allowences');
    }
};
